--- tk.SlackBuild	2006-05-01 18:12:37.000000000 -0400
+++ tk.SlackBuild.s390x	2006-08-15 16:51:39.000000000 -0400
@@ -17,7 +17,7 @@
   SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
+elif [ "$ARCH" = "s390x" ]; then
   SLKCFLAGS="-O2"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2"
@@ -44,6 +44,9 @@
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
+  --enable-64bit \
+  --libdir='${exec_prefix}/lib64' \
+  --with-tcl=/usr/lib64 \
   --disable-shared \
   --enable-man-symlinks \
   --enable-man-compression=gzip
@@ -53,6 +56,9 @@
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
+  --enable-64bit \
+  --libdir='${exec_prefix}/lib64' \
+  --with-tcl=/usr/lib64 \
   --enable-shared \
   --enable-man-symlinks \
   --enable-man-compression=gzip
@@ -62,7 +68,7 @@
 ( cd $PKG/usr/bin
   rm -f wish
   ln -sf wish8.4 wish )
-( cd $PKG/usr/lib
+( cd $PKG/usr/lib64
   rm -f libtk.a libtk.so libtkstub.a
   ln -sf libtk8.4.a libtk.a
   ln -sf libtk8.4.so libtk.so
